Get idea
curl --request GET \
--url https://app.tryordinal.com/api/v1/ideas/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/ideas/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/ideas/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idea": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://app.tryordinal.com/workspace/ideas/550e8400-e29b-41d4-a716-446655440000",
"title": "My Idea",
"channels": [
"LinkedIn"
],
"status": "Idea",
"createdAt": "2026-02-18T14:30:00.000Z",
"updatedAt": "2026-02-18T14:30:00.000Z",
"linkedIn": {
"profile": {
"id": "660e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"detail": "johndoe"
},
"copy": "This is my idea content for LinkedIn",
"assets": []
},
"x": null
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Ideas
Get idea
Get a single idea by ID.
GET
/
ideas
/
{id}
Get idea
Was this page helpful?
⌘I